Quassel IRC - Bug #574

Chat monitor border with chat window becomes undraggable.
02/21/2009 02:46 AM - Lummoxx

Status: Rejected Start date: 02/21/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Linux
Description

Initial installation of core on Ubuntu 8.10 of 0.4.0 from the intrepid-backports repository. This was the first run of the client, and the
first connection to the core which is running on a separate server.

In the attached screenshot, you can see the difference between a border that can be dragged in the right side client, and a border
that cannot in the left side client. The right side client was started while the left side client was still running.

Toggling the Chat Monitor view off and on has no effect, still cannot resize the windows.

While in this state, toggling off the Topic view resizes the Chat Monitor, and exposes the border drag point, and the window can then
be resized. Toggle the Topic view on, and again, the drag point of that border becomes inaccessible.

It has something to do with the minimum window height of the Chat Monitor.
From the "broken" state, disable the Topic view. Drag the border down to greater than the Chat Monitor window minimum size.
Renable the Topic view, and the drag point is still accessible. From there, drag the border all the way up as far as it will go, and

when it gets there, it will become "undraggable”.

I just drug it all the way up with the Topic view turned off, the drag point is inaccessible, and now | have no idea what view to turn off
to expose it again.

Related issues:
Is duplicate of Quassel IRC - Bug #549: Chat monitor not grabable after it's ... Resolved 02/12/2009

History

#1 - 02/21/2009 02:51 AM - Lummoxx

Exit and restarting the client resets it.

#2 - 02/21/2009 10:51 AM - Sputnick

- Status changed from New to Rejected

This seems to be a Qt bug with dockwidget handling. | can no longer reproduce it with Qt 4.5, so | assume it's fixed there. Nothing we can do about
that in Qt 4.4, | fear.

Dupes #549.
